## qmail-run 2.0.2+nmu1

=== Makefile ===
DESTDIR=

install:
	install -d -m0755 '$(DESTDIR)'/var/lib/qmail
	install -d -m0755 '$(DESTDIR)'/usr/bin
	install -d -m0755 '$(DESTDIR)'/etc/qmail/qmail-send/log
	install -d -m0755 '$(DESTDIR)'/etc/qmail/qmail-smtpd/log
	install -d -m0755 '$(DESTDIR)'/etc/qmail/qmail-verify/log
	install -d -m0755 '$(DESTDIR)'/var/log/qmail/smtpd
	install -d -m0755 '$(DESTDIR)'/var/log/qmail/verify
	install -m0755 qmail-rc '$(DESTDIR)'/var/lib/qmail/rc
	install -m0644 concurrencyincoming \
	  '$(DESTDIR)'/etc/qmail/concurrencyincoming
	install -m0644 defaultdelivery \
	  '$(DESTDIR)'/etc/qmail/defaultdelivery
	install -m0755 run-qmail-send \
	  '$(DESTDIR)'/etc/qmail/qmail-send/run
	install -m0755 log-qmail-send \
	  '$(DESTDIR)'/etc/qmail/qmail-send/log/run
	install -m0755 run-qmail-smtpd \
	  '$(DESTDIR)'/etc/qmail/qmail-smtpd/run
	install -m0755 log-qmail-smtpd \
	  '$(DESTDIR)'/etc/qmail/qmail-smtpd/log/run
	install -m0755 run-qmail-verify \
	  '$(DESTDIR)'/etc/qmail/qmail-verify/run
	install -m0755 log-qmail-verify \
	  '$(DESTDIR)'/etc/qmail/qmail-verify/log/run
	install -m0644 tcp.smtp '$(DESTDIR)'/etc/qmail/tcp.smtp
	install -m0755 qmailctl '$(DESTDIR)'/usr/bin/qmailctl

## qmail-run 2.0.2

=== debian/changelog ===
qmail-run (2.0.2) unstable; urgency=low

  * Makefile: no longer install the (dummy) newaliases program.
  * newaliases: remove; obsolete.
  * debian/control: Depends: fastforward (>= 1:0.51-3) instead of
    Recommends:.
  * debian/qmail-run.postinst: run newaliases unconditionally.
  * debian/rules: install symlink /usr/sbin/newaliases->qmail-newaliases.
  * debian/control: Conflicts: lsb-core.
  * aliases: add abuse.
  * log-qmail-verify, run-qmail-verify: new; qmail-verify service
    directory.
  * Makefile: install the qmail-verify service directory.
  * qmailctl: additionally handle the qmail-verify service.
  * tcp.smtp: add :allow,VERIFY="DEFER".
  * debian/qmail-run.postinst: add qmail-verify service to system-wide
    service supervision.
  * debian/control: Depends: qmail (>= 1.06-2.1) (1st version with
    qmail-verify functionality.
  * debian/qmail-run.conffiles: add /etc/qmail/qmail-verify/run,
    /etc/qmail/qmail-verify/log/run.
  * debian/qmail-run.postrm: remove qmail-verify service.
  * debian/README.lwq: talk about qmail-verify patch applied to the
    qmail package; typos.
  * debian/qmail-run.README.Debian: talk about fastforward's newaliases
    program and symlink; typos.
  * debian/control: typo.
  * debian/rules: install symlink /usr/share/man/man1/newaliases.1.gz->
    qmail-newaliases.1.gz.

 -- Gerrit Pape <pape@smarden.org>  Tue, 09 Mar 2010 00:25:27 +0000

qmail-run (2.0.1) unstable; urgency=low

  * run-qmail-smtpd: change softlimit -m from 3000000 to 7000000 (amd64
    requires that much, thx Joost van Baal).
  * Makefile: no longer install newaliases into /usr/sbin/.
  * newaliases: remove; obsolete.
  * debian/control: Recommends: fastforward; Suggests: dot-forward.
  * aliases, debian/qmail-run.examples: new; restored from version
    1.1.0.
  * debian/qmail-run.postinst: create /etc/aliases; run newaliases if
    it exists and is executable.
  * debian/control: Standards-Version: 3.8.0.1.

 -- Gerrit Pape <pape@smarden.org>  Wed, 27 Aug 2008 20:39:00 +0000

qmail-run (2.0.0) unstable; urgency=low

  * Makefile, qmail-rc, run-qmail-send, run-qmail-smtpd, tcprules-smtp,
    debian/rules, debian/qmail-run.conffiles: adapt paths.
  * defaultdelivery: no longer utilize dot-forward.
  * debian/implicit: update to revision a09db2e.
  * debian/control: Depends: qmail (>> 1.06), daemontools (>> 1:0.76),
    ucspi-tcp (>> 1:0.88), runit (>> 1.8.0-2) | daemontools-run (>>
    1:0.76); Standards-Version: 3.7.3.0; no longer Replaces: qmail (<<
    1.03-woody0); update long description.
  * debian/copyright: 2008.
  * debian/init: rename to ./qmailctl, adapt paths.
  * Makefile: install qmailctl into /usr/bin/.
  * debian/rules, debian/qmail-run.conffiles: no longer install
    debian/init as /etc/init.d/qmail.
  * log-qmail-send, log-qmail-smtpd, run-qmail-smtpd: update according
    to LWQ 2.8.2.2; adapt paths.
  * debian/rules: install /var/lib/qmail/supervise/, and populate with
    symlinks to /etc/qmail/qmail-send and /etc/qmail/qmail-smtpd.
  * tcprules-smtp, man/tcprules-smtp.8: remove; drop in favor of
    'qmailctl cdb'.
  * Makefile, debian/rules: no longer install tcprules-smtp,
    tcprules-smtp.8.
  * debian/qmail-run.postinst, debian/qmail-run.postrm: no longer run
    'update-rc.d qmail'.
  * Makefile, debian/qmail-run.conffiles: install defaultdelivery file
    into /etc/qmail/.
  * Makefile: install qmail-rc as /var/lib/qmail/rc.
  * debian/qmail-run.postinst: no longer create /etc/aliases; don't run
    newaliases.
  * aliases, debian/qmail-run.examples: remove; obsolete.
  * debian/qmail-run.preinst: new; upgrading qmail-run from unofficial
    package is not yet supported.
  * debian/qmail-run.postinst, debian/qmail-run.postrm: update paths;
    use the update-service program to add and remove the qmail-send and
    qmail-smtpd services.
  * debian/qmail-run.postinst: create ~alias/.qmail-* files for root,
    postmaster, mailer-daemon, abuse, if they don't exist.
  * newaliases: new; dummy: qmail on Debian by default doesn't support
    the /etc/aliases database.
  * Makefile: install newaliases into /usr/sbin/.
  * debian/control: Replaces: fastforward (<= 0.51-zarge1).
  * debian/qmail-run.README.Debian, debian/README.lwq: adapt.
  * upload to Debian/main.

 -- Gerrit Pape <pape@smarden.org>  Thu, 24 Apr 2008 19:00:36 +0000

qmail-run (1.1.0) sarge; urgency=low

  * debian/README.Debian: rename to debian/qmail-run.README.Debian; add note
    about doublebounces should be delivered to a local mailbox (thx Joost van
    Baal).
  * debian/control: no longer Build-Depends: dephelper; remove
    Standards-Version.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/preinst: rename to debian/qmail-run.preinst; cleanup; no longer
    use debhelper.
  * debian/postinst: rename to debian/qmail-run.postinst; cleanup; no longer
    use debhelper; check for hostname -f returning a hostname containing a
    dot.
  * debian/docs, debian/examples: rename to debian/qmail-run.*.
  * debian/conffiles: rename to debian/qmail-run.conffiles; add
    /etc/init.d/qmail.
  * debian/dirs, debian/links: remove; obsolete.
  * Makefile: minor; no longer chmod +t service directories.
  * debian/copyright: change license from GPL to 3-clause BSD.
  * man/tcprules-smtp.8: typo.

 -- Gerrit Pape <pape@smarden.org>  Fri, 16 Apr 2004 09:13:38 +0000

qmail-run (1.0.0) woody; urgency=low

  * bump version for release.

 -- Gerrit Pape <pape@smarden.org>  Tue,  9 Jul 2002 11:05:21 +0200

qmail-run (0.3.1) woody; urgency=low

  * debian/postinst: removed extra code for upgrade from versions << 0.2.0
    (nearly one year ago, potato has >= 0.2.0).

 -- Gerrit Pape <pape@smarden.org>  Mon,  8 Apr 2002 14:53:54 +0200

qmail-run (0.3.0) woody; urgency=low

  * init: correct description on qmailctl cdb: '/etc/qmail/tcp.smtp'
  * debian/control: Architecture: all; Depends: daemontools (>> 0.76-woody0).


=== debian/control ===
Source: qmail-run
Section: mail
Priority: extra
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.8.0.1

Package: qmail-run
Architecture: all
Depends: qmail (>= 1.06-2.1), fastforward (>= 1:0.51-3), daemontools (>> 1:0.76), ucspi-tcp (>> 1:0.88), runit (>> 1.8.0-2) | daemontools-run (>> 1:0.76), procmail
Suggests: dot-forward, mail-reader
Conflicts: mail-transport-agent, lsb-core
Replaces: mail-transport-agent, fastforward (<= 0.51-zarge1)
Provides: mail-transport-agent
Description: sets up qmail as mail-transfer-agent
 This package sets up the Debian qmail package as mail-transfer-agent.
 It follows the most commonly used public documentation
 http://www.lifewithqmail.org/ almost completely.
 .
 See /usr/share/doc/qmail-run/README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f

DIR=$(shell pwd)/debian/qmail-run

build: deb-checkdir build-stamp
build-stamp:
	touch build-stamp

clean: deb-checkdir deb-checkuid
	rm -rf '$(DIR)'
	rm -f build-stamp
	rm -f debian/files

install: deb-checkdir deb-checkuid build-stamp
	rm -rf '$(DIR)'
	$(MAKE) install DESTDIR='$(DIR)'
	install -d -m0755 '$(DIR)'/usr/sbin
	ln -s qmail-sendmail '$(DIR)'/usr/sbin/sendmail
	ln -s qmail-sendmail '$(DIR)'/usr/sbin/mailq
	ln -s qmail-newaliases '$(DIR)'/usr/sbin/newaliases
	install -d -m0755 '$(DIR)'/usr/share/man/man1
	ln -s qmail-newaliases.1.gz \
	  '$(DIR)'/usr/share/man/man1/newaliases.1.gz
	install -d -m0755 '$(DIR)'/usr/lib
	ln -s ../sbin/sendmail '$(DIR)'/usr/lib/sendmail
	install -d -m0755 '$(DIR)'/var/lib/qmail/bin
	ln -s /usr/bin/qmailctl '$(DIR)'/var/lib/qmail/bin/qmailctl
	install -d -m0755 '$(DIR)'/var/lib/qmail/supervise
	ln -s /etc/qmail/qmail-send '$(DIR)'/var/lib/qmail/supervise/
	ln -s /etc/qmail/qmail-smtpd '$(DIR)'/var/lib/qmail/supervise/
	ln -s /etc/qmail/qmail-verify '$(DIR)'/var/lib/qmail/supervise/

binary-arch:

binary-indep: install qmail-run.deb
	dpkg-gencontrol -isp -pqmail-run -P'$(DIR)'
	dpkg -b '$(DIR)' ..

binary: binary-indep binary-arch

.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

## qmail-run 2.0.2+nmu1

=== debian/changelog ===
qmail-run (2.0.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Move /usr/share/doc/qmail-run/examples/aliases to
    /usr/share/qmail-run/default/aliases as it is used in the postinst.
    (Closes: #775052)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Feb 2015 23:52:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	ln -s /etc/qmail/qmail-send '$(DIR)'/var/lib/qmail/supervise/
 	ln -s /etc/qmail/qmail-smtpd '$(DIR)'/var/lib/qmail/supervise/
 	ln -s /etc/qmail/qmail-verify '$(DIR)'/var/lib/qmail/supervise/
+	install -d -m0755 '$(DIR)'/usr/share/qmail-run/default
+	install -m0644 aliases '$(DIR)'/usr/share/qmail-run/default
 
 binary-arch:

## qmail-run 2.0.3

=== debian/changelog ===
qmail-run (2.0.3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #947701)
  * Using new DH level format. Consequently:
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.

 -- Marcelo Vinicius Campos Amedi <marceloamedi@gmail.com>  Wed, 13 May 2020 18:20:41 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: qmail-run
 Section: mail
-Priority: extra
-Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.8.0.1
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (=13)
 
 Package: qmail-run
 Architecture: all
